import { Overlay } from '@angular/cdk/overlay';
import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone, Renderer2, ViewContainerRef } from '@angular/core';
import { NgControl } from '@angular/forms';
import { Observable } from 'rxjs';
import { BaseTooltip, TooltipTrigger, TooltipType } from '../tooltip/public-api';
import { AutocompleteComponent } from './autocomplete.component';
import { AutoCompleteContext, SuggestionFilterFn } from './autocomplete.types';
export declare class AutoCompleteDirective extends BaseTooltip {
    private ngControl;
    autocomplete: AutocompleteComponent;
    class: string;
    filterFn: (inputValue: string, suggestion: string) => boolean;
    defaultFirstSuggestion: boolean;
    suggestionTrigger: 'auto' | 'input';
    show: EventEmitter<void>;
    hide: EventEmitter<void>;
    readonly type: TooltipType;
    readonly trigger: TooltipTrigger;
    readonly position: string;
    readonly hideOnClick: boolean;
    context: AutoCompleteContext;
    private _autocomplete;
    private focusedSuggestion;
    private inputValue$$;
    private filterFn$$;
    inputValue$: Observable<string>;
    filterFn$: Observable<SuggestionFilterFn>;
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, elRef: ElementRef<HTMLInputElement>, renderer: Renderer2, cdr: ChangeDetectorRef, ngZone: NgZone, ngControl: NgControl);
    onFocus(): void;
    onInput(event: Event): void;
    onKeyDown(event: KeyboardEvent): void;
    updateSuggestionsContext(): void;
    onSuggestionClick(value: string): void;
    createTooltip(): void;
    private autoFocusFirstSuggestion;
    private focusSuggestionDir;
    private resetFocusedSuggestion;
    private scrollToSuggestion;
    protected selectFocusedOption(): void;
    private _filterFn;
}
