import { ChangeDetectorRef, NgZone, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { MonacoCommonEditorComponent } from './monaco-common-editor.component';
import { MonacoEditorConfig } from './monaco-editor-config';
import { MonacoProviderService } from './monaco-provider.service';
import { ResizeSensorService } from './resize-sensor.service';
/**
 * Wraps powerful Monaco Editor for simpilicity usage in Angular.
 */
export declare class MonacoDiffEditorComponent extends MonacoCommonEditorComponent implements OnChanges, OnDestroy {
    protected originalModel: import('monaco-editor').editor.ITextModel;
    originalValue: string;
    constructor(zone: NgZone, monacoEditorConfig: MonacoEditorConfig, monacoProvider: MonacoProviderService, cdr: ChangeDetectorRef, resizeSensor: ResizeSensorService);
    createEditor(): import('monaco-editor').editor.IStandaloneCodeEditor;
    ngOnChanges({ originalValue }: SimpleChanges): void;
    ngOnDestroy(): void;
}
