import { Overlay } from '@angular/cdk/overlay';
import { ComponentType } from '@angular/cdk/portal';
import { InjectionToken, Injector, TemplateRef } from '@angular/core';
import { ConfirmDialogConfig } from './confirm-dialog/confirm-dialog-config';
import { DialogConfig } from './dialog-config';
import { DialogRef } from './dialog-ref';
export declare const DIALOG_DATA: InjectionToken<any>;
export declare class DialogService {
    private overlay;
    private injector;
    static readonly DIALOG_OVERLAY_PANE_CLASS: string;
    static readonly DIALOG_BACKDROP_CLASS: string;
    openDialogs: Array<DialogRef<any>>;
    constructor(overlay: Overlay, injector: Injector);
    open<T, D = any, R = any>(compOrTempRef: ComponentType<T> | TemplateRef<T>, config?: DialogConfig<D>): DialogRef<T, R>;
    confirm(config: ConfirmDialogConfig): Promise<void>;
    closeAll(): void;
    private hiddenPrevDialog;
    private showPrevDialog;
    private createOverlay;
    private getOverlayConfig;
    private attachDialog;
    private attachDialogContent;
    private createInjector;
    private removeDialog;
}
