import { AfterContentInit, ChangeDetectorRef, OnDestroy, OnInit, QueryList } from '@angular/core';
import { FormGroupDirective, NgControl, NgForm } from '@angular/forms';
import { Observable } from 'rxjs';
import { Bem } from '../../utils/bem';
import { FormDirective } from '../form.directive';
import { LabelPosition } from '../form.types';
import { FormItemAddonDirective, FormItemControlDirective, FormItemErrorDirective, FormItemHintDirective } from '../helper-directives';
export declare class FormItemComponent implements OnInit, AfterContentInit, OnDestroy {
    private cdr;
    private auiForm;
    bem: Bem;
    labelWidth: string;
    labelPosition: LabelPosition;
    emptyAddon: boolean;
    itemControl: FormItemControlDirective;
    ngControl: NgControl;
    addons: QueryList<FormItemAddonDirective>;
    errors: QueryList<FormItemErrorDirective>;
    hints: QueryList<FormItemHintDirective>;
    hasError$: Observable<boolean>;
    parentForm: NgForm | FormGroupDirective;
    private destory$$;
    constructor(cdr: ChangeDetectorRef, auiForm: FormDirective, ngForm: NgForm, formGroup: FormGroupDirective);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
