import { ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
import { CommonForm } from '../../form/public-api';
import { ComponentSize } from '../../types';
import { Bem } from '../../utils/bem';
export declare class TagsInputComponent extends CommonForm<string[]> {
    private renderer;
    bem: Bem;
    placeholder: string;
    size: ComponentSize;
    allowRepeat: boolean;
    allowEmpty: boolean;
    inputRef: ElementRef;
    tags: string[];
    focused: boolean;
    readonly rootClass: string;
    readonly tagSize: ComponentSize.Medium | ComponentSize.Small | ComponentSize.Mini;
    readonly inputClass: string;
    readonly displayPlaceholder: boolean;
    constructor(cdr: ChangeDetectorRef, renderer: Renderer2);
    writeValue(val: string[]): void;
    onRemove(tag: string): void;
    onInput(): void;
    onKeyDown(event: KeyboardEvent): void;
    onInputFocus(): void;
    onInputBlur(): void;
    trackByValue(_: number, value: string): string;
}
