import { Overlay } from '@angular/cdk/overlay';
import { ComponentType } from '@angular/cdk/portal';
import { ApplicationRef, ComponentFactoryResolver, ComponentRef, Injector } from '@angular/core';
import { MessageWrapperComponent } from './message-wrapper.component';
import { MessageComponent } from './message.component';
import { MessageConfig } from './message.config';
export declare class MessageBaseService<ContainerClass extends MessageWrapperComponent, ComponentClass extends MessageComponent, Config extends MessageConfig> {
    protected overlay: Overlay;
    protected containerClass: ComponentType<ContainerClass>;
    protected componentClass: ComponentType<ComponentClass>;
    protected injector: Injector;
    protected applicationRef: ApplicationRef;
    protected cfr: ComponentFactoryResolver;
    protected uniqueIdPrefix: string;
    static readonly MESSAGE_OVERLAY_PANE_CLASS: string;
    wrapperContainer: ContainerClass;
    messagesFillDatas: Array<ComponentRef<ComponentClass>>;
    constructor(overlay: Overlay, containerClass: ComponentType<ContainerClass>, componentClass: ComponentType<ComponentClass>, injector: Injector, applicationRef: ApplicationRef, cfr: ComponentFactoryResolver, uniqueIdPrefix?: string);
    protected initWrapperContainer(): void;
    protected initComponentRef(messageConfig: Config): ComponentRef<ComponentClass>;
    protected createMessage(messageConfig: Config): ComponentRef<ComponentClass>;
    protected generateUniqueId(): string;
    protected exclude(messageConfig: Config): void;
    removeAll(): void;
    remove(id: string): void;
    protected parseOptions(options: string | MessageConfig): MessageConfig;
}
