import { InjectionToken } from '@angular/core';
export declare enum MessageType {
    Error = "error",
    Success = "success",
    Warning = "warning",
    Info = "info"
}
/**
 * messageOptions: containes Basic configuration
 * Just for some containers like Message-Container
 * Detailed document： http://confluence.alaudatech.com/pages/viewpage.action?pageId=23383163
 */
export interface MessageConfig {
    /**
     * the message type
     */
    type?: MessageType;
    /**
     * The id of this message, The same ID can only have one at the same time
     */
    id?: string;
    /**
     * automatically shut down after a few seconds, if <= 0 ,non automatic closure
     */
    duration?: number;
    /**
     * max instance in one time
     */
    maxStack?: number;
    /**
     * message content
     */
    content?: string;
}
export declare const MESSAGE_DEFAULT_CONFIG: InjectionToken<MessageConfig>;
export declare const MESSAGE_CONFIG: InjectionToken<MessageConfig>;
export declare const MESSAGE_DEFAULT_CONFIG_PROVIDER: {
    provide: InjectionToken<MessageConfig>;
    useValue: {
        duration: number;
        maxStack: number;
    };
};
