import { EventEmitter } from '@angular/core';
import { NavItemExtDirective } from './nav-item-ext.directive';
export declare class NavItemComponent {
    private parentItem;
    /**
     * To show active indicator
     */
    active: boolean;
    /**
     * Whether this nav item is expanded or not.
     */
    expanded: boolean;
    /**
     * Captured click event so only the label element will emit click event.
     */
    click: EventEmitter<MouseEvent>;
    /**
     * The extension content. i.e., the menu items.
     */
    _extTemplate: NavItemExtDirective;
    /**
     * Decorator class to indicates this is a root item (has no nav item parent).
     */
    isRoot: boolean;
    constructor(parentItem: NavItemComponent);
    /**
     * Captured click event so only the label element will emit click event.
     */
    labelClicked(event: MouseEvent): void;
}
