import { TemplatePortal } from '@angular/cdk/portal';
import { AfterViewInit, ChangeDetectorRef, EmbeddedViewRef, ViewContainerRef } from '@angular/core';
import { ComponentFactory } from '@angular/core/src/linker/component_factory';
import { MessageComponent } from '../message/message.component';
export declare class NotificationComponent extends MessageComponent implements AfterViewInit {
    animate: string;
    isHover: boolean;
    childComponentInstance: any;
    title: string;
    private _portalHost;
    private _modalEl;
    onMouseEnter(): void;
    onMouseLeave(): void;
    countDown(): void;
    readonly iconType: string;
    constructor(containerRef: ViewContainerRef, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    /**
     * Attach a TemplatePortal as content to this modal container.
     * @param portal Portal to be attached as the modal content.
     */
    attachTemplatePortal<C>(portal: TemplatePortal<C>): EmbeddedViewRef<C>;
    attchComponentRef(componentRef: ComponentFactory<void>): any;
    clear(): void;
    hover(isHover: boolean): void;
    onAnimationEnd(e: any): void;
}
