import { InjectionToken, TemplateRef, Type } from '@angular/core';
import { MessageConfig } from '../message/public-api';
/**
 * Options for Notification
 * Detailed comparison documents: http://confluence.alaudatech.com/pages/viewpage.action?pageId=23383190
 */
export interface NotificationConfig extends MessageConfig {
    /**
     * for notification ,can use angular template or component
     */
    contentRef?: TemplateRef<any> | Type<void>;
    /**
     * Template context.
     */
    context?: any;
    /**
     * for notification,can use title
     */
    title?: string;
    /**
     * notification content
     */
    content?: string;
}
export declare const NOTIFICATION_DEFAULT_CONFIG: InjectionToken<NotificationConfig>;
export declare const NOTIFICATION_CONFIG: InjectionToken<NotificationConfig>;
export declare const NOTIFICATION_DEFAULT_CONFIG_PROVIDER: {
    provide: InjectionToken<NotificationConfig>;
    useValue: {
        duration: number;
        maxStack: number;
    };
};
