import { Optional } from '@angular/core';
import { Subject } from 'rxjs';
/**
 * To modify the labels and text displayed, create a new instance of MatPaginatorIntl and
 * include it in a custom provider
 */
export declare class PaginatorIntl {
    /**
     * Stream that emits whenever the labels here are changed. Use this to notify
     * components if the labels have changed after initialization.
     */
    readonly changes: Subject<void>;
    /** A label for the page size selector. */
    itemsPerPageLabel: string;
    /** A label for the button that increments the current page. */
    nextPageLabel: string;
    /** A label for the button that decrements the current page. */
    previousPageLabel: string;
    /** A label for the button that moves to the first page. */
    firstPageLabel: string;
    /** A label for the button that moves to the last page. */
    lastPageLabel: string;
    getTotalLabel: (length: number) => string;
}
export declare function PAGINATOR_INTL_PROVIDER_FACTORY(parentIntl: PaginatorIntl): PaginatorIntl;
export declare const PAGINATOR_INTL_PROVIDER: {
    provide: typeof PaginatorIntl;
    deps: Optional[][];
    useFactory: typeof PAGINATOR_INTL_PROVIDER_FACTORY;
};
