import { AfterContentInit, ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
import { Observable } from 'rxjs';
import { ComponentSize } from '../../types';
import { Bem } from '../../utils/bem';
import { BaseSelect } from '../base-select';
import { OptionComponent } from '../option/option.component';
import { TagClassFn } from '../select.types';
export declare class MultiSelectComponent extends BaseSelect<any[]> implements AfterContentInit {
    private renderer;
    bem: Bem;
    selectedOptions$: Observable<Array<{
        value: any;
        label?: string;
    }>>;
    selectedValues: any[];
    values$: Observable<any[]>;
    tagClassFn: TagClassFn;
    inputRef: ElementRef;
    readonly rootClass: string;
    readonly tagSize: ComponentSize.Medium | ComponentSize.Small | ComponentSize.Mini;
    readonly inputClass: string;
    readonly displayPlaceholder: boolean;
    readonly displayClearBtn: number;
    focused: boolean;
    trackByValue: (_: number, item: OptionComponent) => any;
    constructor(cdr: ChangeDetectorRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    onShowOptions(): void;
    onHideOptions(): void;
    onInput(event: Event): void;
    onInputFocus(): void;
    onInputBlur(): void;
    onKeyDown(event: KeyboardEvent): void;
    writeValue(val: any[]): void;
    selectOption(option: OptionComponent): void;
    addValue(value: any): void;
    removeValue(value: any): void;
    clearValue(event: Event): void;
    private resetInput;
}
