import { CdkPortal, CdkPortalOutlet } from '@angular/cdk/portal';
import { ComponentFactoryResolver, ElementRef, OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { TabBodyComponent } from './tab-body.component';
/** Used to flag tab labels for use with the portal directive */
export declare class TabLabelDirective extends CdkPortal {
    constructor(templateRef: TemplateRef<any>, viewContainerRef: ViewContainerRef);
}
/** Used to project additional template from host to the tab header. */
export declare class TabHeaderAddonDirective extends CdkPortal {
    constructor(templateRef: TemplateRef<any>, viewContainerRef: ViewContainerRef);
}
/**
 * Used in the `aui-tab-group` view to display tab labels.
 */
export declare class TabLabelWrapperDirective {
    elementRef: ElementRef;
    private _disabled;
    /** Whether or not the tab is disabled  */
    disabled: any;
    getOffsetLeft(): number;
    getOffsetWidth(): number;
    /** Sets focus on the wrapper element */
    focus(): void;
    constructor(elementRef: ElementRef);
}
/**
 * The portal host directive for the contents of the tab.
 */
export declare class TabBodyPortalDirective extends CdkPortalOutlet implements OnInit, OnDestroy {
    private _host;
    private _hostSubscription;
    constructor(componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef, _host: TabBodyComponent);
    /** Set initial visibility or set up subscription for changing visibility. */
    ngOnInit(): void;
    ngOnDestroy(): void;
}
