import { TemplatePortal } from '@angular/cdk/portal';
import { AfterViewInit, EmbeddedViewRef, EventEmitter, OnInit, ViewContainerRef } from '@angular/core';
import { ComponentFactory } from '@angular/core/src/linker/component_factory';
import { ToastType } from '../toast.types';
export declare class AlertContainerComponent implements AfterViewInit, OnInit {
    private viewContainerRef;
    animate: string;
    intervalId: any;
    isHover: boolean;
    remains: number;
    childComponentInstance: any;
    beforeClosed: EventEmitter<void>;
    afterClosed: EventEmitter<void>;
    type: ToastType;
    content: string;
    title: string;
    duration: number;
    private _portalHost;
    private _modalEl;
    onMouseEnter(): void;
    onMouseLeave(): void;
    countDown(): void;
    readonly iconType: string;
    constructor(viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    /**
     * Attach a TemplatePortal as content to this modal container.
     * @param portal Portal to be attached as the modal content.
     */
    attachTemplatePortal<C>(portal: TemplatePortal<C>): EmbeddedViewRef<C>;
    attchComponentRef(componentRef: ComponentFactory<void>): any;
    clear(): void;
    hover(isHover: boolean): void;
    onAnimationEnd(e: any): void;
}
