import { ChangeDetectorRef, ElementRef, TemplateRef } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import { TooltipType } from './tooltip.types';
export declare class TooltipComponent {
    elRef: ElementRef;
    cdr: ChangeDetectorRef;
    text: string;
    template: TemplateRef<any>;
    inputContent$: Observable<string | TemplateRef<any>>;
    inputType$: Observable<TooltipType>;
    inputPosition$: Observable<string>;
    inputClass$: Observable<string>;
    inputContext$: Observable<any>;
    text$: Observable<string>;
    template$: Observable<TemplateRef<any>>;
    class$: Observable<string>;
    context$: Observable<any>;
    hover$: Subject<boolean>;
    constructor(elRef: ElementRef, cdr: ChangeDetectorRef);
    setupInputs(inputs: {
        inputContent$: Observable<string | TemplateRef<any>>;
        inputType$: Observable<TooltipType>;
        inputPosition$: Observable<string>;
        inputClass$: Observable<string>;
        inputContext$: Observable<any>;
    }): void;
}
