import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, QueryList } from '@angular/core';
import { Observable } from 'rxjs';
import { Bem } from '../../utils/bem';
import { TreeSelectComponent } from '../tree-select.component';
import { TreeNode } from '../tree-select.types';
export declare class TreeNodeComponent implements AfterViewInit, OnDestroy {
    private select;
    private cdr;
    bem: Bem;
    private _nodeData;
    private nodeData$$;
    private destory$$;
    nodeData: TreeNode;
    titleRef: ElementRef;
    childNodes: QueryList<TreeNodeComponent>;
    selected: boolean;
    visable: boolean;
    selected$: Observable<boolean>;
    selfVisable$: Observable<boolean>;
    visable$: Observable<boolean>;
    constructor(select: TreeSelectComponent, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick(): void;
    switchExpanded(): void;
    getIcon(): string;
    trackByLabel(_: number, data: TreeNode): string;
    scrollToNode(node: TreeNodeComponent): void;
}
