import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { CommonForm } from '../form/public-api';
import { InputComponent } from '../input/public-api';
import { TrackFn } from '../select/select.types';
import { TooltipDirective } from '../tooltip/public-api';
import { TreeNodeComponent } from './tree-node/tree-node.component';
import { NodeFilterFn, TreeNode } from './tree-select.types';
export declare class TreeSelectComponent extends CommonForm<any> {
    nodesData: TreeNode[];
    loading: boolean;
    placeholder: string;
    filterable: boolean;
    clearable: boolean;
    filterFn: (filterString: string, node: TreeNode) => any;
    trackFn: (value: any) => any;
    filterChange: EventEmitter<string>;
    show: EventEmitter<void>;
    hide: EventEmitter<void>;
    protected selectRef: ElementRef;
    protected tooltipRef: TooltipDirective;
    nodeListRef: ElementRef;
    inputRef: InputComponent;
    private _nodesData;
    private _filterString;
    private _filterable;
    private _clearable;
    private filterString$$;
    private filterFn$$;
    private trackFn$$;
    trackFn$: Observable<TrackFn>;
    filterString$: Observable<string>;
    filterFn$: Observable<NodeFilterFn>;
    containerWidth: string;
    displayText: string;
    flattedNodes: TreeNode[];
    readonly opened: boolean;
    readonly inputReadonly: boolean;
    filterString: string;
    readonly rootClass: string;
    constructor(cdr: ChangeDetectorRef);
    openNodes(): void;
    closeNodes(): void;
    updatePosition(): void;
    onShowNodes(): void;
    onHideNodes(): void;
    onInput(event: Event): void;
    onNodeClick(node: TreeNodeComponent): void;
    getVisableNodeCount(): number;
    selectNode(node: TreeNodeComponent): void;
    updateSelectDisplay(value: any): void;
    clearValue(event: Event): void;
    writeValue(value: any): void;
    getPlaceholder(): string;
    getInputValue(): string;
    displayClearable(): string;
    trackByLabel(_: number, data: TreeNode): string;
    private flatteNodesData;
    private getLabelFromNode;
    private _filterFn;
    private _trackFn;
}
